Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 148256 - NullPointerException: Passed null to FileOwnerQuery.getOwner(FileObject)
NullPointerException: Passed null to FileOwnerQuery.getOwner(FileObject)
Status: VERIFIED FIXED
Product: projects
Classification: Unclassified
Component: Eclipse project importer
6.x
All All
: P3 (vote)
: 6.x
Assigned To: Jesse Glick
issues@platform
http://statistics.netbeans.org/except...
EXCEPTIONS_REPORT 67patch1-verified
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2008-09-24 15:54 UTC by simondoran
Modified: 2009-07-21 09:39 UTC (History)
1 user (show)

See Also:
Issue Type: DEFECT
:


Attachments
stacktrace (1.89 KB, text/plain)
2008-09-24 15:55 UTC, simondoran
Details

Note You need to log in before you can comment on or make changes to this bug.
Description simondoran 2008-09-24 15:54:53 UTC
Build: NetBeans IDE 6.5 Beta (Build 200808111757)
VM: Java HotSpot(TM) 64-Bit Server VM, 1.6.0_05-b13-52, Java(TM) SE Runtime Environment, 1.6.0_05-b13-120
OS: Mac OS X, 10.5.5, x86_64

User Comments:
simondoran: I was importing an Eclipse project containing sources that were not stored in the Eclipse workspace, but on /usr/local.

GUEST: Importing a project from eclipse

simondoran: I was importing an Eclipse project containing sources that were not stored in the Eclipse workspace, but on /usr/local.



Stacktrace: 
java.lang.NullPointerException: Passed null to FileOwnerQuery.getOwner(FileObject)
        at org.netbeans.api.project.FileOwnerQuery.getOwner(FileOwnerQuery.java:94)
        at org.netbeans.modules.projectimport.eclipse.core.spi.ProjectFactorySupport.areSourceRootsOwned(ProjectFactorySupport.java:665)
        at org.netbeans.modules.projectimport.eclipse.j2se.J2SEProjectFactory.createProject(J2SEProjectFactory.java:89)
        at org.netbeans.modules.projectimport.eclipse.core.Importer.importProjectStage1(Importer.java:230)
        at org.netbeans.modules.projectimport.eclipse.core.Importer.access$600(Importer.java:69)
        at org.netbeans.modules.projectimport.eclipse.core.Importer$3.run(Importer.java:178)
Comment 1 simondoran 2008-09-24 15:55:00 UTC
Created attachment 70489 [details]
stacktrace
Comment 2 Milos Kleint 2008-09-24 16:38:00 UTC
eclipse importer problem.
Comment 3 David Konecny 2008-10-01 05:12:11 UTC
In latest sources the exception is coming from
ProjectFactorySupport.areSourceRootsOwned(ProjectFactorySupport.java:679)
Comment 4 Jesse Glick 2009-06-09 18:29:43 UTC
core-main #0b63c54da0e7
Comment 5 Quality Engineering 2009-06-11 08:37:30 UTC
Integrated into 'main-golden', will be available in build *200906110201* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main-golden/rev/0b63c54da0e7
User: Jesse Glick <jglick@netbeans.org>
Log: #148256: NPE.
Comment 6 Jesse Glick 2009-07-02 16:17:25 UTC
Hard to verify but could be backported.
Comment 7 Petr Blaha 2009-07-03 07:46:57 UTC
v.
Comment 8 pgebauer 2009-07-07 16:00:26 UTC
The fix has been ported into the release67_fixes repository.
http://hg.netbeans.org/release67_fixes/rev/bc80bb330066
Comment 9 Jindrich Sedek 2009-07-21 09:39:46 UTC
reviewed in 67_fixes


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo